Keyword
curl --request GET \
--url https://api.themoviedb.org/3/search/keyword \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/search/keyword"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/search/keyword', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/search/keyword",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/search/keyword"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/search/keyword")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/search/keyword")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"results": [
{
"id": 262419,
"name": "lost"
},
{
"id": 5930,
"name": "getting lost"
},
{
"id": 249351,
"name": "lost wallet"
},
{
"id": 213077,
"name": "lost youth"
},
{
"id": 41309,
"name": "lost of friend"
},
{
"id": 215483,
"name": "lost daughter"
},
{
"id": 251248,
"name": "paradise lost"
},
{
"id": 215583,
"name": "lost colony"
},
{
"id": 215678,
"name": "partially lost film"
},
{
"id": 163088,
"name": "lost tribe"
},
{
"id": 222130,
"name": "lost continent"
},
{
"id": 223620,
"name": "lost in the woods"
},
{
"id": 169953,
"name": "lost treasure"
},
{
"id": 170333,
"name": "innocence lost"
},
{
"id": 225280,
"name": "partly lost"
},
{
"id": 227948,
"name": "lost children"
},
{
"id": 288632,
"name": "lost girl"
},
{
"id": 179553,
"name": "lost pet"
},
{
"id": 179578,
"name": "lost at sea"
},
{
"id": 181429,
"name": "lost film"
}
],
"total_pages": 5,
"total_results": 84
}SEARCH
Keyword
This endpoint is used to search for keywords by their name.
GET
/
search
/
keyword
Keyword
curl --request GET \
--url https://api.themoviedb.org/3/search/keyword \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/search/keyword"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/search/keyword', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/search/keyword",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/search/keyword"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/search/keyword")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/search/keyword")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"results": [
{
"id": 262419,
"name": "lost"
},
{
"id": 5930,
"name": "getting lost"
},
{
"id": 249351,
"name": "lost wallet"
},
{
"id": 213077,
"name": "lost youth"
},
{
"id": 41309,
"name": "lost of friend"
},
{
"id": 215483,
"name": "lost daughter"
},
{
"id": 251248,
"name": "paradise lost"
},
{
"id": 215583,
"name": "lost colony"
},
{
"id": 215678,
"name": "partially lost film"
},
{
"id": 163088,
"name": "lost tribe"
},
{
"id": 222130,
"name": "lost continent"
},
{
"id": 223620,
"name": "lost in the woods"
},
{
"id": 169953,
"name": "lost treasure"
},
{
"id": 170333,
"name": "innocence lost"
},
{
"id": 225280,
"name": "partly lost"
},
{
"id": 227948,
"name": "lost children"
},
{
"id": 288632,
"name": "lost girl"
},
{
"id": 179553,
"name": "lost pet"
},
{
"id": 179578,
"name": "lost at sea"
},
{
"id": 181429,
"name": "lost film"
}
],
"total_pages": 5,
"total_results": 84
}